clang-tools 10.0.0

Classes | Public Types | Public Member Functions | List of all members
clang::clangd::RelationSlab Class Reference

`#include <Relation.h>`

## Classes
class | Builder
| RelationSlab::Builder is a mutable container that can 'freeze' to RelationSlab. More...

## Public Types
using | value_type = Relation
using | const_iterator = std::vector< value_type >::const_iterator
using | iterator = const_iterator

## Public Member Functions
| RelationSlab ()=default
| RelationSlab (RelationSlab &&Slab)=default
RelationSlab & | operator= (RelationSlab &&RHS)=default
const_iterator | begin () const
const_iterator | end () const
size_t | size () const
bool | empty () const
size_t | bytes () const
llvm::iterator_range< iterator > | lookup (const SymbolID &Subject, RelationKind Predicate) const
| Lookup all relations matching the given subject and predicate. More...

## Detailed Description

Definition at line 45 of file Relation.h.

## Member Typedef Documentation

## ◆ const_iterator

using clang::clangd::RelationSlab::const_iterator = std::vector<value_type>::const_iterator

Definition at line 48 of file Relation.h.

## ◆ iterator

using clang::clangd::RelationSlab::iterator = const_iterator

Definition at line 49 of file Relation.h.

## ◆ value_type

using clang::clangd::RelationSlab::value_type = Relation

Definition at line 47 of file Relation.h.

## Constructor & Destructor Documentation

## ◆ RelationSlab() [1/2]

clang::clangd::RelationSlab::RelationSlab | ( |  | ) |
| default

## ◆ RelationSlab() [2/2]

clang::clangd::RelationSlab::RelationSlab | ( | RelationSlab && | Slab | ) |
| default

## Member Function Documentation

## ◆ begin()

const_iterator clang::clangd::RelationSlab::begin | ( |  | ) | const
| inline

Definition at line 55 of file Relation.h.

## ◆ bytes()

size_t clang::clangd::RelationSlab::bytes | ( |  | ) | const
| inline

Definition at line 60 of file Relation.h.

Referenced by clang::clangd::FileSymbols::buildIndex().

## ◆ empty()

bool clang::clangd::RelationSlab::empty | ( |  | ) | const
| inline

Definition at line 58 of file Relation.h.

## ◆ end()

const_iterator clang::clangd::RelationSlab::end | ( |  | ) | const
| inline

Definition at line 56 of file Relation.h.

## ◆ lookup()

llvm::iterator_range< RelationSlab::iterator > clang::clangd::RelationSlab::lookup | ( | const SymbolID & | Subject,
|  | RelationKind | Predicate
| ) |  | const

Lookup all relations matching the given subject and predicate.

Definition at line 17 of file Relation.cpp.

References clang::clangd::Relation::Predicate, and clang::clangd::Relation::Subject.

## ◆ operator=()

RelationSlab& clang::clangd::RelationSlab::operator= | ( | RelationSlab && | RHS | ) |
| default

## ◆ size()

size_t clang::clangd::RelationSlab::size | ( |  | ) | const
| inline

Definition at line 57 of file Relation.h.

The documentation for this class was generated from the following files:

- Relation.h
- Relation.cpp